Questions tagged [ppa]

Personal Package Archive, for creating software for Ubuntu to be downloaded/installed with the standard "apt" tool for Debian.

Filter by
Sorted by
Tagged with
0
votes
0answers
18 views

WideVine in chromium-beta ppa not working

After Updating to Linux Mint 20 Cinnamon (From 19.3) I have found that Chromium is a dummy package and Chromium is no longer available as an apt. I added the chromium-beta ppa (https://launchpad.net/~...
1
vote
0answers
47 views

Daily PPA has been updated, but Linux thinks there is no update

I haven't gotten any updates from a daily PPA in more than a week. But it has been updated and on launchpad there is a newer version (for Linux Mint 19/bionic too). My package manager thinks, the week-...
1
vote
1answer
472 views

Can't add PPA to Linux Mint 20

I'm having trouble adding some PPAs to my Mint 20 installation. I execute the following command: sudo add-apt-repository ppa:anonbeat/guayadeque and get this: Executing: /tmp/apt-key-gpghome....
-1
votes
1answer
113 views

The repository does not have a Release file

Hi I'm really noob on linux and trying to update with apt-get update but the command line returns me always E: The repository "http://archive.ubuntu.com/ubuntu tricia Release" does not have a ...
0
votes
2answers
61 views

Elementary OS giving errors while trying to update apps

I have not been able to update any apps on my elementary os Hera 5.1 (via terminal or the AppCenter) The error below shows when I go to my AppCenter to try and update my app/system E: The repository ...
0
votes
0answers
19 views

How to identify a PPA in software sources

Given a PPA in Discover > Software Sources > Authentication Tab like : 69238A55545A3FCF 2015-02-11 launchpad ppa for jesus How do i figure out what it has installed? And what it's originating URL is?...
0
votes
1answer
237 views

Error when apt update and removing ppa

I am trying to test PHP 7.0 installation on vagrant using Ansible and get this error: TASK [php-cli : Install php7.0-cli package] **********************************************************************...
0
votes
0answers
19 views

Problem during install of Spotify - stable inRelease not verified, because key is not available

I just tried to install spotify through the application manager. The download went smoothly. However, when i went to the update manager and wanted to see if spotify needed any updates this warning ...
0
votes
1answer
94 views

updating ubuntu issue apt-get update

I am unable to update "sudo apt-get update" in my PC (Ubuntu 18.04). I keep receiving this error and tried many different solutions existed in StackExchange and Google, however, nothing seemed to work ...
1
vote
1answer
2k views

sudo apt-get update errors: how do I clean up my MariaDB installation?

Linux Mint 18.3 (based on Ubuntu Xenial). I have looked at the other questions here, but I still don't know where to start about cleaning up my package lists and specifically MariaDB. Any links to ...
1
vote
1answer
64 views

install java 10 using oracle jdk

I have updated my system, then add A Third Party PPA to Ubuntu, with the following commands sudo add-apt-repository ppa:linuxuprising/java but this is what I got can you guys help me to solve ...
0
votes
1answer
35 views

Are there any rules of thumb about installing and upgrading applications?

OS: Linux Mint 18.3 I'd describe myself as a low intermediate Linux user. I just spent about 4 hours working out how to upgrade my version of NodeJS. In the end I had to tweak a build script that ...
1
vote
0answers
520 views

Kali Linux ppa:repository

How can I remove repositories in Kali Linux? I have tried sudo add-apt-repository --remove ppa:whatever/ppa But I don't know how to apply this to: Ign:1 //ppa.launchpad.net/noobslab/themes/ubuntu ...
3
votes
0answers
347 views

Adding PPA on Ubuntu Bionic defaults to Eoan Repository

I am working on basing a new OS off of Ubuntu 18.04 Bionic, and in order to properly have the OS be recognized as a new distribution, I had to change /etc/lsb-release. In order to have it use PPAs, I ...
4
votes
2answers
10k views

Deepin 15.10 Error: could not find a distribution template for Deepin/stable

When I was trying to install Docker on Deepin 15.10 via package repository, I had this error: Error: could not find a distribution template for Deepin/stable
0
votes
3answers
7k views

E: Unable to locate package nvidia-graphics-drivers-418

My OS is Deepin 15.10. My GPU is NVIDIA Quadro 3000M. I want to play games on Linux. Steam has a program called Proton which enables this. Proton requires nvidia-418 or higher to work properly, so I ...
2
votes
1answer
4k views

PPA addition taking too long

I have a moderately new installation of Linux Mint 19.1. Since I installed it two months ago when I try to add a PPA by sudo add-apt-repository in terminal I get a black screen. At first I thought I ...
1
vote
2answers
10k views

Debian: Updating package with PPA fails with error “gpg: no valid OpenPGP data found”

My operating system is Debian 9.1 with Cinnamon 3.2.7. I installed Audacious (version 3.7.2) from the Package Manager and want to update to the latest released. Per these instructions, I attempted to ...
-1
votes
1answer
142 views

How to get rid of a PPA?

Whenever I do "sudo apt update" I am getting eventually: W: Failed to fetch http://ppa.launchpad.net/developmentseed/mapbox/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found What I have ...
1
vote
1answer
3k views

Unable to Locate Package? Repository is added!

I'm stuck here. I'm trying to update java on a corporate machine with strict firewalls. As such I can't use the ppa command, and added the WebUpd8 repository to my sources list manually: deb http://...
0
votes
1answer
57 views

How can I refer a launchpad ppa in another?

To build the packages in my launchpad ppa, I want to use dev packages from another ppa. Can I somehow do it?
0
votes
1answer
3k views

How can I add a PPA with only Ubuntu releases to a Debian machine?

I know (thanks Jim Paris) that I can use add-apt-repository on Debian by first: sudo apt-get install software-properties-common However, I still can't simply run (for example): sudo add-apt-...
0
votes
0answers
280 views

E: Package 'kate' has no installation candidate

$ sudo apt install kate Reading package lists... Done Building dependency tree Reading state information... Done Package kate is not available, but is referred to by another package. This may ...
1
vote
0answers
487 views

Add Evolution PPA to Linux Mint?

I'm testing Linux Mint, and I want to add https://launchpad.net/ubuntu/+source/evolution/3.28.0-4 to the PPA. How can I do that? Linux Mint only has 3.18.5.2 as the highest version.
0
votes
1answer
7k views

PPAs will not install “sudo: add-apt-repository: command not found”

I am trying to get the Linux distro "PIXEL" to install some PPAS for Wine, and I have run into a issue where it will not install because of the following error: sudo: add-apt-repository: command not ...
1
vote
1answer
2k views

Why Xenial-based systems (Linux Mint 18.3) are stuck to Plasma 5.8 - but not Neon?

I am in Linux Mint 18.3 KDE with Plasma 5.8 LTS. Can I install 5.12 LTS? How? Mint 18.3 has already the kubuntu-ppa/backports PPA enabled but this doesn't go above 5.8 in ubuntu-16.04-based systems. ...
1
vote
1answer
35 views

How to dissect the functionality of a PPA?

I'd like to understand how PPAs such as this work that display a license: Oracle Java (JDK) 8 / 9 Installer PPA | launchpad.net Where do you get started in tracing through how this works? Is there a ...
-2
votes
1answer
6k views

What is the root cause of “E: Unable to correct problems, you have held broken packages.”

Previously, I was getting this error when I merely tried to update. I believe this problem is related to the VLC PPA which has always been total and utter trash on Ubuntu. I had to actually remove a ...
2
votes
1answer
4k views

how to fix “sudo: apt-repository: command not found” in Deepin distro [duplicate]

what I want to achieve is to install Firefox beta channel to update the current version so after running this command sudo apt-repository ppa:mozillateam/firefox-next I got this error sudo: apt-...
0
votes
1answer
81 views

What is the difference between `get` (Debian's package manager) and a PPA?

I understand that apt-get is Debian's package manager, based on the apt package manager (CLI) interface. What is the difference between apt-get and PPA's?
0
votes
1answer
277 views

How do i downgrade to Init-System-helper V1.13

How do i downgrade to Init-system-helper V1.13? I tried to $wget it from here, https://launchpad.net/ubuntu/utopic/powerpc/init-system-helpers/1.18 wget https://launchpad.net/ubuntu/trusty/i386/...
2
votes
0answers
689 views

S.gpg-agent.browser not found in Debian stretch while adding ppa

I do not know about S.gpg-agent.browser error while adding ppa repository. Can I get more information for solve this? add-apt-repository ppa:webupd8team/java (or another repository) gpg: keybox '/...
0
votes
1answer
302 views

How can I get the latest Thunderbird releases on my Mint 18.2 (= Ubuntu 16.04)

I use Linux Mint 18.2, and I want to use the latest Mozilla Thunderbird version. I was assuming I should be able to find a PPA, but somehow I'm not able to... I'm looking at: https://launchpad.net/~...
11
votes
3answers
34k views

Install GCC 7 on Ubuntu?

I'm trying to run a test under GCC 7. According to How to install gcc-7 or clang 4.0? on Ubuntu.SE, we can perform the following to install GCC 7 on Ubuntu: add-apt-repository ppa:ubuntu-toolchain-r/...
1
vote
1answer
150 views

Ansible - Junos

I am trying to use ansible with Junos devices, following this doc: http://docs.ansible.com/ansible/junos_command_module.html I have created the this playbook: - name: run a set of commands ...
4
votes
2answers
5k views

Problem adding ppa's in Deepin OS 15.4

I am running Deepin OS 15.4, which is based on Debian unstable. When I type: sudo add-apt-repository ppa:nilarimogard/webupd8 I get: gpg: keybox '/tmp/tmpeel0gwwr/pubring.gpg' created gpg: /tmp/...
3
votes
1answer
597 views

Skipping the hostkey verification in dput/sftp

I would like to use dput to upload a package to a launchpad PPA via sftp. After preparing the data, it all works fine until please login: To accept ssh-rsa hostkey 6b03de9833252318a646b34722cd54f2 ...
12
votes
7answers
64k views

keyserver receive failed (on every keyserver available)

I recently installed Ubuntu 17.04 and I'm not able to add any ppa. I tried to manually add keys using different keyservers but on every attempt I'm getting keyserver received error: $ sudo apt-key ...
1
vote
1answer
2k views

Remove software and PPA's entirely

I have a lot of software installed, from various sources, and I would like to start using Flatpaks instead of PPA's. But how do I remove my current software entirely, with the PPA's and such? This is ...
3
votes
0answers
72 views

:How to install a package behind an overly restricted firewall [duplicate]

EDIT: I know I can download and install manually, but my question is different and not a duplicate. At my company we have a sand-box area where we have Debian machines. IT has white-listed *.debian....
4
votes
2answers
2k views

How to add xorg-edgers PPA in debian

How do I add the xorg-edgers PPA in debian, without breaking dependencies?
0
votes
1answer
5k views

Can't install packages from PPAs (Elementary OS)

I'm unable to install any packages from PPAs in Elementary OS. sudo apt-get install elementary-tweaks Reading package lists... Done Building dependency tree Reading state information... Done E: ...
4
votes
2answers
2k views

ConfigParser.NoSectionError: No section: 'general' when trying to add a repository

When I try to sudo add-apt-repository <any>, I get this error: Traceback (most recent call last): File "/usr/lib/linuxmint/mintSources/mintSources.py", line 1387, in <module> ...
1
vote
1answer
404 views

How to install digikam5 on Linux Mint?

After adding the ppa:philip5/extra PPA sudo add-apt-repository ppa:philip5/extra apt update ; apt upgrade I attempted to install digikam5 package and got the error: $ apt install digikam5 … The ...
1
vote
1answer
321 views

How to remove PPA _compholio_

I trying to remove this PPA without results. I've Debian 8 as OS and want to remove the PPA since after running sudo apt-get update && sudo apt-get upgrade it gives the error W: Failed to ...
1
vote
0answers
516 views

Can't add a PPA, stuck at gpg: keybox

I'm on Debian Testing and I'm trying to add a repository with this command: add-apt-repository ppa:ondrej/php But it eventually gets stuck after it adds the gpg key, like so: gpg: keybox '/tmp/...
2
votes
1answer
2k views

How to purge and downgrade PPA's packages with a discontinued Ubuntu version

Time ago I tried ppa:oibaf/graphic-drivers with my Linux-Mint installation based on Trusty. Now I need to go back to my old xorg drivers but neither ppa-purge nor y-ppa-manager would purge the ppa ...
2
votes
1answer
900 views

Why is PPA package not taken into account?

I have added the offical Firefox-next PPA: sudo add-apt-repository ppa:mozillateam/firefox-next sudo apt-get update sudo apt-get upgrade So I get the following config in /etc/apt/sources.list.d/...
1
vote
1answer
773 views

Install Oracle Java 8

I'm trying to install Java 8 on a GitLab Runner like this: apt-get --quiet update --yes apt-get --quiet upgrade --yes apt-get --quiet install --yes software-properties-common python-software-...
1
vote
0answers
308 views

RabbitVCS issue on Mint 17 XFCE

Is there a working package of RabbitVCS for Linux Mint 17.3 XFCE Thunar FM 32 bit? Following ubuntu section on rabbitvcs wiki, I've gone through the PPA repository option (rabbitvcs-thunar, rabbitvcs-...